Figure - Bug #114174
0 O Test-ST# 113421 (New): V400 00000 0O
0 O Test-ST # 113425 (New): V4.00 0 --BSPO O --0
2022-11-2815:11-000000_CDTSO O

Status: CLOSED Start date: 2022-11-28
Priority: Urgent Due date: 2023-01-19
Assignee: gbooboo_cepTsbod % Done: 0%

Category: BSP Estimated time: 0.00 hour
Target version: VC1_FSE_0086_20230328

Need_Info: - Found Version: 01.00.0051.X101
Resolution: - Degrated: -

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: ggboooobuoooobog
Description

oooood

None

ooooogd

1.00Qfle DD OODOOODDODO
200000000O0homescreen0 00000000 COODOO
goobooooobooo

4A00000000oOoo2300

5000001-4100

gooooo
45000000

gooooo
ooobooooooooooboooobricoooon

History

#1-2022-11-30 14:38 - CDTS_TEST O O

- Severity changed from Major to Critical

#2 - 2022-12-08 11:20 - CDTS-TEST O O
- Target version set to VX1_MCE_FSE_V5.0_20221230

#3-2022-12-0911:37-CDBSP-0 0 O
- Assignee changed fromCDBSP-0 0 0 to0 O OO OO _CDTSOO

gBUGO O OOODOdebugD OO OO OODO
goo0oo0o0o0o0bOobOOobOOooDOobOOooUooDoOobobOoDbOoo
goo0oo0ooo,00o00bob0obOoon
https://thundersoft.feishu.cn/docx/Mu77diwUqgooeaaxtRNhchGYen7a

#4 - 2022-12-1310:30 - CDTS-TEST O O
https://thundersoft.feishu.cn/docx/Mu77diwUqooeaaxtRNhcbGYen7a

- Assignee changed from 0 0 0 0 00O _CDTSO O toCDBSP-0 OO

00000000000 0bwgDOOODODO

#5-2022-12-1418:34 - CDTS-TEST O O
- Due date set to 2022-12-16

12160000

#6 - 2022-12-28 10:06 - CD BSP-0J O O
-FileOOOD-000000O .jpeg added

gobobooooooooooooooo

swooooooo
goooooooooooooboooobboooobocoooOoooooDoooo
OwnerDOOOOOOOOOOOOOOODODODO

#7 - 2022-12-28 10:07 - CDBSP-O O O
-Rootcausesetto 1 O 00000000000 OOO0OOOODOOCOODOOOODOO
#8-2022-12-3015:15-0 00000 _CDTSO O

- File screenshot-20221230-151151.png added

JO0000000DODODOOO O https://thundersoft.feishu.cn/docx/Mu77diwUgooeaaxtRNhcbhGYen7a

#9 - 2023-01-1215:59-CD TPM-0 O O
- Due date changed from 2022-12-16 to 2023-01-19

#10 - 2023-01-12 21:29 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
175021 general/platform/vendor/qcom/kona | Pre_figure_turbox-c2130c-lal.1-vendo | tangjz1204@thundersoft.com
r-dev

BSP:SYSTEM: Vendor (1/3)Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/key TC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-1d: 1169a76ef0f295740bd5d294a1d7a5d92f173ed98

#11 - 2023-01-12 21:29 - IoT scm
Gerrit Merge Information(]

1D Project Branch Uploader

175994 general/platform/system/core Pre_figure_turbox-c2130c-lal.1-vendo | tangjz1204@thundersoft.com
https://thundersoft.feishu.cn/docx/Mu77diwUqooeaaxtRNhcbGYen7a

r-dev

BSP:SYSTEM: Vendor(5/3)Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/key TC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-Id: 1dc3107b04dedalb23fdd6cch8f9a3943f32fcfef

#12 - 2023-01-12 21:29 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
175177 general/platform/system/sepolicy Pre_figure_turbox-c2130c-lal.1-gssi12 | tangjz1204@thundersoft.com
-dev

BSP:SYSTEM: Qssil2 (2-1/3)Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/key TC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-1d: 10280412e3a1f38fb81beflefb012e0aa529e09f3

#13 - 2023-01-12 21:30 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
175026 general/platform/system/core Pre_figure_turbox-c2130c-lal.1-gssi12 | tangjz1204@thundersoft.com
-dev

BSP:SYSTEM: Qssil2 (3/3)Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/keyTC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-Id: 1fa81d0dbe655¢250169dd125¢2b09cee922e4abc

#14 - 2023-01-12 21:30 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
175991 general/platform/system/core Pre_figure_turbox-c2130c-lal.1-gssi12 | tangjz1204@thundersoft.com
-dev

BSP:SYSTEM: Qssil2 (6/3)Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/keyTC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-1d: 18a5bc9d1b4b272fe1a215d898ca3754d48d34342

#15 - 2023-01-12 21:30 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
175958 general/platform/vendor/qcom/kona | Pre_figure_turbox-c2130c-lal.1-vendo | tangjz1204@thundersoft.com
r-dev
BSP:SYSTEM: Vendor (4/3)Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/key TC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-Id: 1e9fd19e5cd6acc818c293cf8h388ed263ff08d1c

#16 - 2023-01-13 18:08 - CDBSP-0 O O

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-OJ 0 O to CDTS_TEST O O

-Rootcausechanged from 0 0 0 0 0000000000000 0DOOO0DOOO0O0O0O0OOtO00DOO0O0OOOOOOOO

gooboooooooood

#17 - 2023-01-17 15:18 - CDTS_TEST O O
- Assignee changed from CDTS_TESTO O to0 0 OO OO _CDTSO O

#18 - 2023-02-27 13:44 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
184096 general/platform/vendor/qcom/kona | Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-dev

BSP:SYSTEM: Fix userdebug backup encryption key failureFix userdebug backup encryption key failureTC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-Id: 17b41116aec4574f00a1c723975317474baelf3ae

#19-2023-03-0711:20- 000000 _CDTSO O

goooveOOOOOuserDOOOOOOOO2700000

#20 - 2023-03-21 21:17 - 1oT scm

Gerrit Merge Informationd

1D Project Branch Uploader
178127 general/common Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-dev

BSP:SYSTEM: Keep metadata/userdata/persist the sameKeep metadata/userdata/persist partitionssame as FTM userdebug's partitionsTC-RID:
0301-0100805IssuelD: TS-R-DF-114174Change-1d: 1a6c830370855727a6e545ea6a575b8e4bde53301

#21-2023-03-2213:44-0 00000 _CDTSO O
VBOO OO2000000000000000000032d00000000000000000G00O0O

#22 - 2023-03-23 14:31 - CDTS_TEST O O

- Target version changed from VX1_MCE_FSE_V5.0_20221230to VC1_FSE_0086_20230328

#23-2023-03-2714:26-0 00000 _CDTSO O
- Status changed from RESOLVED to VERIFIED

VBO O 20000
Release 008501 O [0 O 00 22901

gooooo
1.0 000850 O

20000000O0O0OCODO-0O0O0O 100
fjoooobobooooooooboTADO
s00000000000000O000O0O000O0000

000 OO0 0O https://thundersoft.feishu.cn/sheets/shtcn7PGzO2W4gnMylrMGfHFalh?sheet=FKdpGr

gooooooooo

#24-2023-03-2714:26-0 00000 _CDTSO O
- Status changed from VERIFIED to CLOSED

#25 - 2023-08-18 14:48 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

206480

general/platform/system/sepolicy

EmeiMoun-660-la4.0-dev

jiangrx1203@thundersoft.com

BSP:SYSTEM: Qssil2 (2-1/3)Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/keyChange-1d:
1a0e66442b65cfe14998728352d9815d58e87fe80TC-RID: 0301-0100805IssuelD: TS-R-DF-114174

#26 - 2023-08-18 14:48 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

214289

general/platform/system/core

EmeiMoun-660-la4.0-dev

yepeng0322@thundersoft.com

BSP:SYSTEM: Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/key TC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-Id: 1037¢82b0b27aab86aaf58ad11a8afe34a2a26111

#27 - 2023-08-18 14:48 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-04
https://thundersoft.feishu.cn/sheets/shtcn7PGzO2W4gnMylrMGfHFaJh?sheet=FKdpGr

214267

general/platform/vendor/gcom/falcon
64 ms_01

EmeiMoun-660-la4.0-dev

yepeng0322@thundersoft.com

BSP:SYSTEM: Backup the encryption keyBackup the encryption key to persist/key and retrieve key from persist/key TC-RID: 0301-0100805IssuelD:
TS-R-DF-114174Change-Id: Ifbecd5e15245ca029e0318666e03099196bc7923

#28 - 2023-08-18 14:48 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

215302

general/device/qcom/sepolicy

EmeiMoun-660-la4.0-dev

yepeng0322@thundersoft.com

BSP:SYSTEM: Backup the encryption keyAdd permissions for backup the encryption keyTC-RID: 0301-0100805IssuelD: TS-R-DF-114174Change-Id:
15832d7a2485e20cf57ddd21ch85be9047c5ebadf

#29 - 2023-11-22 11:44 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

329474

general/LINUX/android/vendor/qco

m/proprietary

Blink-c6490-la3.1-vendor-dev

lizhu0722@thundersoft.com

Camera:HAL:Add slave configuration for imx415 sensor -V1.01.Add a slave driver2.Separate the master and slave drivers3.Lock the sensor 1D of the master and
slaveTC-RID: 0501-0700306lssuelD: TS-R-DF-114174Change-Id: 17a67dfc4c73681db8f00351e4faa75179af71b8d

#30 - 2023-11-22 19:43 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

330395

general/vendor/thundercomm/360

Blink-c6490-1a3.1-gssi13-dev

fengkun0914@thundersoft.com

Camera:APP:update camera test appOptimize camera preview sizeTC-RID:0501-07003061ssuel D: TS-R-DF-114174Change-1d:
12b2c955dc2eb18535cdb98aac05d1b8bfdc2f42f

#31 - 2023-11-2316:16 - 10T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

330306

2025-07-04

general/LINUX/android/vendor/qco

Blink-c6490-1a3.1-vendor-dev

fengkun0914@thundersoft.com
m/proprietary

Camera:Hal:add crop nodel. add crop node2. do crop demoTC-RID: 0501-07003061ssuelD: TS-R-DF-114174Change-I1d:
le6c5dc3202926349bd3f7d1616715bbb83284af3

#32 - 2023-11-27 20:54 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

331388

general/LINUX/android/vendor/qco

m/proprietary

Blink-c6490-la3.1-vendor-dev

fengkun0914@thundersoft.com

Camera:Hal:add support for 4 preview stream1. modify crop 4 stream2. add 4 preview pipeline and usecase supportTC-RID: 0501-07003061ssuelD:
TS-R-DF-114174Change-Id: leb36ffa00adc7846a22294081e05716317c4bc33

#33 - 2023-11-28 14:57 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

331744

general/LINUX/android/vendor/qco

m/proprietary

Blink-c6490-la3.1-vendor-dev

lizhu0722@thundersoft.com

Camera:Hal:Adjusting fpsAdjust fps to 30fps fixed TC-RI1D:0501-07003061ssuel D: TS-R-DF-114174Change-Id: 14f05d4ed003c7a6670482aa5df5ed169670cdff7

#34 - 2023-11-28 19:44 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

331863

general/vendor/thundercomm/360

Blink-c6490-1a3.1-gssi13-dev

fengkun0914@thundersoft.com

Camera:APP:add open four preview modeadd open four preview modeoptimize config streamTC-RID:0501-07003061ssuelD: TS-R-DF-114174Change-Id:
187cd1cc92bb3cl4abch01abc407604089e7f1b19

#35 - 2023-11-28 19:47 - 10T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

331640

2025-07-04

general/LINUX/android/vendor/qco

Blink-c6490-1a3.1-vendor-dev

fengkun0914@thundersoft.com

719




m/proprietary

Camera:Hal:change stitch algo output to 3840x576change stitch algo outputclose uesless logTC-RID: 0501-0700306IssuelD: TS-R-DF-114174Change-Id:
1363da11c936fbc72dbb49722c58dae6a275f350d

#36 - 2023-11-30 14:45 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

332292

general/LINUX/android/vendor/qco

m/proprietary

Blink-c6490-1a3.1-vendor-factory

tangyj0127@thundersoft.com

Revert Camera:Hal:Adjusting fpsThis reverts commit 50975b9b2b764cea5d98acf0c07e93d8a4f99b6.Reason for revert: <for
factory>TC-RID:0501-0700306lssuel D: TS-R-DF-114174Change-1d: 15f0b96355ebf69cd646f22686f1df50da640d22¢c

#37 - 2023-11-30 14:45 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

332293

general/LINUX/android/vendor/qco

m/proprietary

Blink-c6490-la3.1-vendor-factory

tangyj0127@thundersoft.com

Revert Camera:HAL:Add slave configuration for imx415 sensor -V1.0This reverts commit 7c145c834bcdec18f2b8735e0ef45d780234b164.Reason for revert: <for
factory>TC-RID: 0501-0700306lssuelD: TS-R-DF-114174Change-1d: 14fef6ee1e02327de2e4fc77278325f1f225a4538

#38 - 2023-12-07 15:51 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

334009

general/vendor/thundercomm/360

Blink-c6490-1a3.1-gssi13-factory

fengkun0914@thundersoft.com

Camera:APP:Add factory Camera test appAdd factory Camera test appTC-RID:0501-07003061ssuel D: TS-R-DF-114174, BLINK360-75Change-1d:
18eb1c2c43a1a07bd2107a5bd3cd4973a6¢1f6796

#39 - 2024-01-11 15:09 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-04
342210

general/LINUX/android/vendor/qco

m/proprietary

Next-c6490-la3.1-vendor-dev

lizhu0722@thundersoft.com

Camera:HAL:Add slave configuration for imx415 sensor -V1.01.Add a slave driver2.Separate the master and slave drivers3.Lock the sensor 1D of the master and

slavelssuelD: TS-R-DF-114174Change-Id: 17a67dfc4c73681db8f00351e4faa75179af71b8d

Files

recovery.txt 531 KB 2022-11-28 goOoDoOo0o_cbTsgno
uart.log 571 MB 2022-11-28 gooDoOoo_cbTsgo
0000-000000 .jpeg 159 KB 2022-12-28 CDBSP-0 OO
screenshot-20221230-151151.png 304 KB 2022-12-30 goooOoo_cebTsgno
